#ifndef MATRIX_H
#define MATRIX_H

#include "mymatrix.h"
#include "mysparse.h"
#include <vector>
using std::vector;
class Protein;

void computePfoldWrapper(vector<Real>& pfolds, 
			 int numNodes, Protein ** allNodes, 
			 int numPfoldsRequested, 
			 const vector<int>& foldedIndices,
			 const vector<int>& unfoldedIndices,
			 int maxNumNeighbors);

void computeMapping (vector<int> & mapping, const vector<int>& foldedIndices, 
		     const vector<int>& unfoldedIndices, int numNodes, 
		     int inf);
#endif
