#ifndef _POINT_H
#define _POINT_H

#include <assert.h>

class Point
{
public:
  Point();
  Point(float * p) 
    {
      values[0] = *p;
      values[1] = p[1];
      values[2] = p[2];
      
    }
  Point(const float& f1, const float& f2, const float& f3 );
  inline float&  operator[] (unsigned i); 
  const inline float& operator[]  (unsigned i) const;
    
private:
  float values[3];  
};


inline Point::Point(const float& f1, const float& f2, const float& f3 )
{
  values[0] = f1;  values[1] = f2;  values[2] = f3; 
}

inline Point::Point()
{
  values[0] = values[1] = values[2] = 0.0;
}

inline float&  Point::operator[] (unsigned i)
{
  assert ((i >= 0) && (i <= 2));
  return values[i];
}

const inline float& Point::operator[]  (unsigned i) const
{
      assert ((i >= 0) && (i <= 2));
      return values[i];
}

#endif

#if 0

implement later.
  
if (i > ) error(); return data[i]; }

  Point operator+ (const Point& p) const;
  Point operator- (const Point& p) const;
  float operator* (const Point& p) const ; // dot product
  Point operator
  friend Point operator* (float k, const Point& p); // scalar
  
  void normalize();
inline Point operator+ (const Point& p) const
{
  Point retval;

  retval.values[0] = values[0] + p.values[0];
  retval.values[1] = values[1] + p.values[1];
  retval.values[2] = values[2] + p.values[2];
  
  return retval;
}
inline Point operator- (const Point& p) const 
{
   Point retval;

  retval.values[0] = values[0] - p.values[0];
  retval.values[1] = values[1] - p.values[1];
  retval.values[2] = values[2] - p.values[2];
}
inline Point operator* (const Point& p) const
{
  Point 
#endif

