#ifndef _PREDICT_H
#define _PREDICT_H

#include "tree.H"

void findAvgWeights_reverse_BFS(queType * myQue);
void initQue(queType ** myQue, float t, nodeClass *fromN, nodeClass *toN) ;
void initNodeColor(const int numNodes, int thecolor);
void findAvgWeights_BFS(queType * myQue);
/* 
   does join the trees. I don't know what it returns, but 
   I don't think it is used.
*/
int joinTheTreesForNodes(int n1, int n2, int numNodes);

/* simply connects the node n1 to node n2. */
void makeOneWayLink (const int n1, const int n2, const float pW);

/*
  forward   : n1->n2.
  backward  : n2->n1.
*/

int makeLinkBetweenNodes (int numNodes, const int n1, const int n2, 
			  const float forwardPathWeight, 
			  const float backwardPathWeight);

/*
  adds allNodes[count] to the global forest.
  the myTree parameter of allNodes[count] should be NULL.
*/

void addNode2Forest(int count);

#endif
